Test a push webhook
POST
/repos/{owner}/{repo}/hooks/{id}/tests
const url = 'https://gitea.com/api/v1/repos/example/example/hooks/1/tests';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.com/api/v1/repos/example/example/hooks/1/tests \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
integer format: int64
Id of the hook to test
Query Parameters
Section titled “Query Parameters”ref
string
The name of the commit/branch/tag, indicates which commit will be loaded to the webhook payload.
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json